@import "../../scss/variables/_colors";
@import "../../scss/variables/_typography";

.counter {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding-right: 12px;
  padding-left: 12px;
  margin-right: auto;
  margin-left: auto;
}
.counter__title {
  color: $color-dark;
  font-size: $font-size-l;
  line-height: 1.2;
  margin: 32px 0 96px 0;
}

.counter__actions {
  display: flex;
}

.counter__button {
  display: inline-block;
  height: 40px;
  width: 40px;
  border-radius: 50%;
  position: relative;
  border: 2px solid $color-primary;
  background: $color-light;
  transition: background-color 0.5s ease;
  &:hover {
    background: $color-primary;
  }
}

.counter__button.add::before,
.counter__button.subtract::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 40%;
  height: 0;
  border-top: 3px solid $color-primary;
  transition: border-top 0.5s ease;
}

.counter__button.add:hover:before,
.counter__button.subtract:hover:before {
  border-top: 3px solid $color-light;
}

.counter__button.add::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 0;
  height: 40%;
  border-left: 3px solid $color-primary;
  transition: border-left 0.5s ease;
}

.counter__button.add:hover:after {
  border-left: 3px solid $color-light;
}

.counter__text {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: $font-size-s;
  line-height: 0.5px;
  margin-top: 12px;
}
